package com.hellbreecher.arcanum.common.core;

import com.hellbreecher.arcanum.client.renderer.BlockRendererRegister;
import com.hellbreecher.arcanum.common.blocks.blockArcFurnace;
import com.hellbreecher.arcanum.common.blocks.blockBloodDiamond;
import com.hellbreecher.arcanum.common.blocks.blockBloodDiamondOre;
import com.hellbreecher.arcanum.common.blocks.blockBone;
import com.hellbreecher.arcanum.common.blocks.blockBoneOre;
import com.hellbreecher.arcanum.common.blocks.blockFermenter;
import com.hellbreecher.arcanum.common.blocks.blockFlesh;
import com.hellbreecher.arcanum.common.blocks.blockFleshOre;
import com.hellbreecher.arcanum.common.blocks.blockGreenSapphire;
import com.hellbreecher.arcanum.common.blocks.blockGreenSapphireCoal;
import com.hellbreecher.arcanum.common.blocks.blockGreenSapphireOre;
import com.hellbreecher.arcanum.common.blocks.blockGreenSapphireTorch;
import com.hellbreecher.arcanum.common.blocks.blockMCUFurnace;
import com.hellbreecher.arcanum.common.blocks.blockModRandomOre;
import com.hellbreecher.arcanum.common.blocks.blockSulfur;
import com.hellbreecher.arcanum.common.blocks.blockSulfurOre;
import com.hellbreecher.arcanum.common.blocks.blockVanillaRandomOre;
import com.hellbreecher.arcanum.common.blocks.blockVoidDiamond;
import com.hellbreecher.arcanum.common.blocks.blockVoidDiamondOre;
import com.hellbreecher.arcanum.common.handler.IDictionaryRegistry;
import net.minecraft.block.Block;
import net.minecraft.item.Item;
import net.minecraft.item.ItemBlock;
import net.minecraftforge.client.event.ModelRegistryEvent;
import net.minecraftforge.event.RegistryEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;
import net.minecraftforge.fml.common.registry.GameRegistry;
import net.minecraftforge.registries.IForgeRegistry;

/* loaded from: com_hellbreecher_arcanum_common_core.jar:com/hellbreecher/arcanum/common/core/ArcanumBlocks.class */
public class ArcanumBlocks extends IDictionaryRegistry {

    @GameRegistry.ObjectHolder("arcanum:greensapphireore")
    public static Block blockGreenSapphireOre = new blockGreenSapphireOre();

    @GameRegistry.ObjectHolder("arcanum:blooddiamondore")
    public static Block blockBloodDiamondOre = new blockBloodDiamondOre();

    @GameRegistry.ObjectHolder("arcanum:voiddiamondore")
    public static Block blockVoidDiamondOre = new blockVoidDiamondOre();

    @GameRegistry.ObjectHolder("arcanum:vanillarandomore")
    public static Block blockVanillaRandomOre = new blockVanillaRandomOre();

    @GameRegistry.ObjectHolder("arcanum:modrandomore")
    public static Block blockModRandomOre = new blockModRandomOre();

    @GameRegistry.ObjectHolder("arcanum:greensapphireblock")
    public static Block blockGreenSapphire = new blockGreenSapphire();

    @GameRegistry.ObjectHolder("arcanum:bloodiamondblock")
    public static Block blockBloodDiamond = new blockBloodDiamond();

    @GameRegistry.ObjectHolder("arcanum:voiddiamondblock")
    public static Block blockVoidDiamond = new blockVoidDiamond();

    @GameRegistry.ObjectHolder("arcanum:boneore")
    public static Block blockBoneOre = new blockBoneOre();

    @GameRegistry.ObjectHolder("arcanum:fleshore")
    public static Block blockFleshOre = new blockFleshOre();

    @GameRegistry.ObjectHolder("arcanum:sulfurore")
    public static Block blockSulfurOre = new blockSulfurOre();

    @GameRegistry.ObjectHolder("arcanum:boneblock")
    public static Block blockBone = new blockBone();

    @GameRegistry.ObjectHolder("arcanum:fleshblock")
    public static Block blockFlesh = new blockFlesh();

    @GameRegistry.ObjectHolder("arcanum:sulfurblock")
    public static Block blockSulfur = new blockSulfur();

    @GameRegistry.ObjectHolder("arcanum:greensapphiretorch")
    public static Block blockGSTorch = new blockGreenSapphireTorch();

    @GameRegistry.ObjectHolder("arcanum:greensapphirecoalblock")
    public static Block blockGreenSapphireCoal = new blockGreenSapphireCoal();

    @GameRegistry.ObjectHolder("arcanum:arcfurnace")
    public static Block blockArcFurnace = new blockArcFurnace();

    @GameRegistry.ObjectHolder("arcanum:mcufurnace")
    public static Block blockMCUFurnace = new blockMCUFurnace();

    @GameRegistry.ObjectHolder("arcanum:fermenter")
    public static Block blockFermenter = new blockFermenter();

    @Mod.EventBusSubscriber(modid = "arcanum")
    /* loaded from: com_hellbreecher_arcanum_common_core.jar:com/hellbreecher/arcanum/common/core/ArcanumBlocks$Registration.class */
    public static class Registration {
        @SubscribeEvent
        public static void regsiterBlocks(RegistryEvent.Register<Block> event) {
            IForgeRegistry<Block> registry = event.getRegistry();
            registry.register(ArcanumBlocks.blockGreenSapphireOre);
            registry.register(ArcanumBlocks.blockBloodDiamondOre);
            registry.register(ArcanumBlocks.blockVoidDiamondOre);
            registry.register(ArcanumBlocks.blockVanillaRandomOre);
            registry.register(ArcanumBlocks.blockModRandomOre);
            registry.register(ArcanumBlocks.blockGreenSapphire);
            registry.register(ArcanumBlocks.blockBloodDiamond);
            registry.register(ArcanumBlocks.blockVoidDiamond);
            registry.register(ArcanumBlocks.blockBoneOre);
            registry.register(ArcanumBlocks.blockFleshOre);
            registry.register(ArcanumBlocks.blockSulfurOre);
            registry.register(ArcanumBlocks.blockBone);
            registry.register(ArcanumBlocks.blockFlesh);
            registry.register(ArcanumBlocks.blockSulfur);
            registry.register(ArcanumBlocks.blockGSTorch);
            registry.register(ArcanumBlocks.blockGreenSapphireCoal);
            registry.register(ArcanumBlocks.blockArcFurnace);
            registry.register(ArcanumBlocks.blockMCUFurnace);
            registry.register(ArcanumBlocks.blockFermenter);
        }

        @SubscribeEvent
        public static void registerItems(RegistryEvent.Register<Item> event) {
            IForgeRegistry<Item> registry = event.getRegistry();
            registry.register(new ItemBlock(ArcanumBlocks.blockGreenSapphireOre).setRegistryName(ArcanumBlocks.blockGreenSapphireOre.getRegistryName()));
            registry.register(new ItemBlock(ArcanumBlocks.blockBloodDiamondOre).setRegistryName(ArcanumBlocks.blockBloodDiamondOre.getRegistryName()));
            registry.register(new ItemBlock(ArcanumBlocks.blockVoidDiamondOre).setRegistryName(ArcanumBlocks.blockVoidDiamondOre.getRegistryName()));
            registry.register(new ItemBlock(ArcanumBlocks.blockVanillaRandomOre).setRegistryName(ArcanumBlocks.blockVanillaRandomOre.getRegistryName()));
            registry.register(new ItemBlock(ArcanumBlocks.blockModRandomOre).setRegistryName(ArcanumBlocks.blockModRandomOre.getRegistryName()));
            registry.register(new ItemBlock(ArcanumBlocks.blockGreenSapphire).setRegistryName(ArcanumBlocks.blockGreenSapphire.getRegistryName()));
            registry.register(new ItemBlock(ArcanumBlocks.blockBloodDiamond).setRegistryName(ArcanumBlocks.blockBloodDiamond.getRegistryName()));
            registry.register(new ItemBlock(ArcanumBlocks.blockVoidDiamond).setRegistryName(ArcanumBlocks.blockVoidDiamond.getRegistryName()));
            registry.register(new ItemBlock(ArcanumBlocks.blockBoneOre).setRegistryName(ArcanumBlocks.blockBoneOre.getRegistryName()));
            registry.register(new ItemBlock(ArcanumBlocks.blockFleshOre).setRegistryName(ArcanumBlocks.blockFleshOre.getRegistryName()));
            registry.register(new ItemBlock(ArcanumBlocks.blockSulfurOre).setRegistryName(ArcanumBlocks.blockSulfurOre.getRegistryName()));
            registry.register(new ItemBlock(ArcanumBlocks.blockBone).setRegistryName(ArcanumBlocks.blockBone.getRegistryName()));
            registry.register(new ItemBlock(ArcanumBlocks.blockFlesh).setRegistryName(ArcanumBlocks.blockFlesh.getRegistryName()));
            registry.register(new ItemBlock(ArcanumBlocks.blockSulfur).setRegistryName(ArcanumBlocks.blockSulfur.getRegistryName()));
            registry.register(new ItemBlock(ArcanumBlocks.blockGSTorch).setRegistryName(ArcanumBlocks.blockGSTorch.getRegistryName()));
            registry.register(new ItemBlock(ArcanumBlocks.blockGreenSapphireCoal).setRegistryName(ArcanumBlocks.blockGreenSapphireCoal.getRegistryName()));
            registry.register(new ItemBlock(ArcanumBlocks.blockArcFurnace).setRegistryName(ArcanumBlocks.blockArcFurnace.getRegistryName()));
            registry.register(new ItemBlock(ArcanumBlocks.blockMCUFurnace).setRegistryName(ArcanumBlocks.blockMCUFurnace.getRegistryName()));
            registry.register(new ItemBlock(ArcanumBlocks.blockFermenter).setRegistryName(ArcanumBlocks.blockFermenter.getRegistryName()));
        }

        @SubscribeEvent
        public static void registerModels(ModelRegistryEvent event) {
            BlockRendererRegister.registerBlockRenderer();
        }
    }
}
